Subject: Re: [AVTCORE] update to RFC5285

From: Colin Perkins <[email-masked]>
Date: Fri, 2 Oct 2015 17:05:34 +0100

Roni.

[inline]

> On 30 Sep 2015, at 14:40, Roni Even <[email-masked]> wrote:
> 
> Colin,
> Thanks, inline
> Roni
> 
> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]] 
> Sent: Wednesday, September 30, 2015 1:31 PM
> To: Roni Even
> Cc: [email-masked]
> Subject: Re: [AVTCORE] update to RFC5285
> 
> Hi Roni,
> 
>> On 29 Sep 2015, at 20:58, Roni Even <[email-masked]> wrote:
>> 
>> Hi,
>> http://tools.ietf.org/id/draft-even-avtcore-rfc5285-bis-00.txt   updates RFC5285 allowing mixing one byte and two bytes RTP header extensions in the same RTP stream. This mode is negotiated using a new SDP attribute.
> 
> This looks good, but I had a couple of quick comments:
> 
> - Section 4.1 changes “MUST NOT be mixed” to “MAY be mixed”, but that’s inconsistent with Section 6. I think Section 4.1 ought to say “MUST NOT be mixed unless support for mixing one- and two-byte header extensions is signalled as in Section 6”. 
> 
> RE: OK, correct
> 
> - The draft needs to define the ABNF for the new “mix-headers” SDP attribute. I also suggest “a=extmap-allow-mixed” might be a more consistent name than “a=mixed-headers”.
> 
> RE: In this case there is no ABNF in  draft-ietf-avtcore-rtp-multi-stream-optimisation for "rtcp-rgrp". It is a similar attribute

Then we should add it to rtp-multi-stream-optimisation, too.

> - The draft removes the description of how IANA should manage the namespace, and the initial registrations. I don’t think this should be removed, but if it is, the IANA considerations needs an additional paragraph stating that the IANA registry for RTP Compact Header Extensions is to be managed in accordance with RFC 5285.
> 
> RE: I will look how to do it since this document does not define new registry, so I will just ask to update the reference to this document (does this make sense?)

No, that doesn’t make sense. Since this obsoletes the document that does define the registry, you either need to put definitions and policies matching the registry into this draft, or add something to explicitly state that the old definitions and policy remain in force.

-- 
Colin Perkins
https://csperkins.org/